Ticket #563 (closed tarefa: fixed)

Opened 10 years ago

Last modified 10 years ago

Homologação Expresso 2.0

Reported by: niltonneto Owned by: niltonneto
Priority: grave Milestone: Expresso 2.0
Component: API Version: trunk
Severity: Keywords: instalação template celepar default
Cc: walter.zapalowski@… WorkGroup:

Description

  • Preparação e adição de novos Temas/Templates?, bem como a divulgação oficial do novo tema padrão do Expresso.
  • Pacote customizado do Funambol, para sincronizar agenda e catálogo do Expresso com dispositivos móveis.
  • Conclusão do arquivamento local, disponibilizado dentro do Expresso Mail.
  • "Features" de segurança: Assinatura/Criptografias? Digitais, no envio e recebimento de emails, login, anti-robô, melhorias na codificação relacionadas à segurança.
  • Acesso Off-line do Expresso Mail.

Change History

comment:1 follow-up: ↓ 2 Changed 10 years ago by amuller

[1068] A phpgwapi passar a ter versão 2.0.0-preaplha

comment:2 in reply to: ↑ 1 ; follow-up: ↓ 3 Changed 10 years ago by wmerlotto

Replying to amuller:

[1068] A phpgwapi passar a ter versão 2.0.0-preaplha

Só faltou fazer a mesma alteração no workflow.

comment:3 in reply to: ↑ 2 ; follow-up: ↓ 4 Changed 10 years ago by amuller

Replying to wmerlotto:

Replying to amuller:

[1068] A phpgwapi passar a ter versão 2.0.0-preaplha

Só faltou fazer a mesma alteração no workflow.

O workflow não tem um repositório a parte?

comment:4 in reply to: ↑ 3 Changed 10 years ago by niltonneto

Replying to amuller:

Replying to wmerlotto:

Replying to amuller:

[1068] A phpgwapi passar a ter versão 2.0.0-preaplha

Só faltou fazer a mesma alteração no workflow.

O workflow não tem um repositório a parte?

Desde o ticket #488 ele faz parte do mesmo repositório.

comment:5 Changed 10 years ago by amuller

comment:6 Changed 10 years ago by niltonneto

Criado Branch 2.0 em [1147] a partir do Trunk.

comment:7 Changed 10 years ago by niltonneto

Criado Tag 2.0.0.rc1 em [1148] a partir do Trunk.

comment:8 Changed 10 years ago by niltonneto

  • Version changed from Trunk (trunk) to Tags (tags)

Criado Tag 2.0.0.rc2 em [1202] a partir da cópia do Branch 2.0

comment:9 follow-up: ↓ 10 Changed 10 years ago by amuller

[1208] resolver problema de mostrar proxima mensagem quando nao esta configurado para usar lixeira

comment:10 in reply to: ↑ 9 Changed 10 years ago by amuller

Replying to amuller:

[1208] resolver problema de mostrar proxima mensagem quando nao esta configurado para usar lixeira

Equívoco meu [1226]

comment:11 Changed 10 years ago by lavoisier.vieira

  • Cc walter.zapalowski@… added
  • Keywords instalação template celepar default added
  • Type changed from tarefa to defeito
  • Priority changed from media to grave

Apos instalação do expresso(via script), ao logar a tela fica em branco. No /var/log/messages, temos que o expresso tenta carregar o template CELEPAR da API quando este não existe. Acredito que o correto seria carregar o template default.

*segue abaixo o log do /var/log/messages expressolivre apache2: PHP Warning: common::include(/var/www/expresso/phpgwapi/templates/celepar/head.inc.php) [<a href='function.common-include'>function.common-include</a>]: failed to open stream: No such file or directory in /var/www/expresso/phpgwapi/inc/class.common.inc.php on line 1209

comment:12 follow-up: ↓ 13 Changed 10 years ago by niltonneto

Também fiz uma instalação no Debian Lenny, e encontrei os seguintes problemas que devem ser resolvidos com urgência:

1 - Arquivo header.inc.php está com template_set = 'celepar'. O correto é 'default';

2 - Problema ao clicar no "Login com Certificado". Ele procura a pasta "security/login.php".

3 - As preferências "template" e "tema" estão com "celepar" e "celepar" respectivamente. O correto é "default" e "azul".

4 - No setup tem que atualizar a versão da API, atualizar os idiomas pois existem muitas frases novas que não estão populadas na base.

5 - Na base ainda não existe a coluna "browser" na tabela phpgw_access_log, referente à melhoria na segurança do Expresso, e aí dá erro no login.

6 - Ajuda e Sugestões está dando erro de template. Deve ser o diretório do template "default" que não existe.

comment:13 in reply to: ↑ 12 Changed 10 years ago by niltonneto

Replying to niltonneto:

Também fiz uma instalação no Debian Lenny, e encontrei os seguintes problemas que devem ser resolvidos com urgência:

1 - Arquivo header.inc.php está com template_set = 'celepar'. O correto é 'default';

2 - Problema ao clicar no "Login com Certificado". Ele procura a pasta "security/login.php".

3 - As preferências "template" e "tema" estão com "celepar" e "celepar" respectivamente. O correto é "default" e "azul".

4 - No setup tem que atualizar a versão da API, atualizar os idiomas pois existem muitas frases novas que não estão populadas na base.

5 - Na base ainda não existe a coluna "browser" na tabela phpgw_access_log, referente à melhoria na segurança do Expresso, e aí dá erro no login.

6 - Ajuda e Sugestões está dando erro de template. Deve ser o diretório do template "default" que não existe.

Como a homologação do instalador encontrou vários problemas inicialmente, foi criado um ticket só pra ele (#596), para que possamos administrar melhor essas correções.

comment:14 Changed 10 years ago by niltonneto

Corrigido em [1259] problemas reportados no log de erro do Apache. MAIS ATENÇÃO DESENVOLVEDORES!!!

comment:15 Changed 10 years ago by amuller

Quando a busca era feita aparecia 2 vezes os links apagar e mover [1294]

comment:16 Changed 10 years ago by niltonneto

  • Version changed from Tags (tags) to Trunk (trunk)
  • Type changed from defeito to tarefa
  • Summary changed from Homologação do branch Expresso 2.0 to Homologação Expresso 2.0

Para essa tarefa, favor seguir o Quality Assurance?
Trunk apenas para correções até o fechamento do marco  Expresso 2.0

comment:17 Changed 10 years ago by niltonneto

Seguindo Modelo de Versionamento?, o ramo "Branches/2.0" foi removido em [1303], para que seja criado corretamente após homologação do Trunk.

comment:18 Changed 10 years ago by niltonneto

Corrigido em [1321] problema gerado por versões que usam o caracter "-" (ex. 2.0.0.pre-alpha).

comment:19 follow-up: ↓ 20 Changed 10 years ago by niltonneto

Retirado da verificação de dependências, na atualização de módulos, o menor octeto do número da versão. Efetuado em [1322], conforme novo  Modelo de Versionamento.

comment:20 in reply to: ↑ 19 Changed 10 years ago by niltonneto

Replying to niltonneto:

Retirado da verificação de dependências, na atualização de módulos, o menor octeto do número da versão. Efetuado em [1322], conforme novo  Modelo de Versionamento.

No log da rev.1322 uma errata: o ticket é #563 e não 463.

comment:21 Changed 10 years ago by niltonneto

Todos os módulos do Expresso tiveram suas versões alteradas para "2.0.000". Em alguns deles, foi necessário também atualizar o arquivo "tables_update.inc.php". Modificação efetuada em [1323].

comment:22 Changed 10 years ago by viani

Módulo workflow foi modificado para versão 2.0.000. Implementado em [1324]

comment:23 Changed 10 years ago by viani

Inclusão de versão intermediária (1.8.06.000) que estava faltando no workflow, arquivo tables_update.inc.php. Corrigido em [1328].

comment:24 Changed 10 years ago by niltonneto

  • Owner changed from alguem to niltonneto
  • Status changed from new to assigned

comment:25 follow-ups: ↓ 26 ↓ 33 Changed 10 years ago by niltonneto

Para publicarmos essa versão, acho que devemos alterar os nomes dos módulos "ExpressoMail? 1.2" e "ExpressoAdmin 1.2" para "ExpressoMail?" "ExpressoAdmin" respectivamente. Essas versões nos nomes poderá causar muita confusão entre todos os usuários e administradores do Expresso. Ah, e o mais importante: nesse momento não poderemos renomear o diretório "expressoAdmin1_2" e "expressoMail1_2" pois isso irá impactar no funcionamento e nas instalações deles. O que acham????? Fazemos isso?

comment:26 in reply to: ↑ 25 Changed 10 years ago by wmerlotto

Replying to niltonneto:

Para publicarmos essa versão, acho que devemos alterar os nomes dos módulos "ExpressoMail? 1.2" e "ExpressoAdmin 1.2" para "ExpressoMail?" "ExpressoAdmin" respectivamente. Essas versões nos nomes poderá causar muita confusão entre todos os usuários e administradores do Expresso.

Eu acho que tem que ser feito sim. Se retirar da interface as referências da "versão 1.2" já é uma boa. Deixamos para v2.1 a alterações relativas aos diretórios, instaladores e outros.

comment:27 follow-up: ↓ 28 Changed 10 years ago by eduardoalex

Concordo com William, devemos tirar da interface e deixar para a versão 2.1 a mudança nos diretórios para que tenhamos tempo de analisar os impactos e corrigir prováveis falhas.

comment:28 in reply to: ↑ 27 Changed 10 years ago by niltonneto

Replying to eduardoalex:

Concordo com William, devemos tirar da interface e deixar para a versão 2.1 a mudança nos diretórios para que tenhamos tempo de analisar os impactos e corrigir prováveis falhas.

Beleza, vou agilizar isso então.

comment:29 follow-up: ↓ 31 Changed 10 years ago by wmerlotto

Pessoal, fiz uma atualização hoje do Expresso (baseado no trunk) e reparei que a lista de mensagens está se comportando de uma forma diferente (imagem em anexo). Não sei se é um bug ou um comportamento normal, por isso estou registrando aqui. Caso seja necessário registro o bug.

comment:30 Changed 10 years ago by eduardoalex

Estamos investigando por aqui.

comment:31 in reply to: ↑ 29 ; follow-up: ↓ 32 Changed 10 years ago by niltonneto

Replying to wmerlotto:

Pessoal, fiz uma atualização hoje do Expresso (baseado no trunk) e reparei que a lista de mensagens está se comportando de uma forma diferente (imagem em anexo). Não sei se é um bug ou um comportamento normal, por isso estou registrando aqui. Caso seja necessário registro o bug.

Sim, William. Eu comentei isso hoje no  ticket 636.

comment:32 in reply to: ↑ 31 Changed 10 years ago by wmerlotto

Replying to niltonneto:

Replying to wmerlotto:

Pessoal, fiz uma atualização hoje do Expresso (baseado no trunk) e reparei que a lista de mensagens está se comportando de uma forma diferente (imagem em anexo). Não sei se é um bug ou um comportamento normal, por isso estou registrando aqui. Caso seja necessário registro o bug.

Sim, William. Eu comentei isso hoje no  ticket 636.

Ah, maravilha então! Vou anexar a imagem lá.

comment:33 in reply to: ↑ 25 Changed 10 years ago by niltonneto

Replying to niltonneto:

Para publicarmos essa versão, acho que devemos alterar os nomes dos módulos "ExpressoMail? 1.2" e "ExpressoAdmin 1.2" para "ExpressoMail?" "ExpressoAdmin" respectivamente. Essas versões nos nomes poderá causar muita confusão entre todos os usuários e administradores do Expresso. Ah, e o mais importante: nesse momento não poderemos renomear o diretório "expressoAdmin1_2" e "expressoMail1_2" pois isso irá impactar no funcionamento e nas instalações deles. O que acham????? Fazemos isso?

Aproveitei para melhorar o estilo dos nomes dos módulos. Se alguém não gostar, me avise. Não esqueçam de atualizar os idiomas novamente pelo Setup, para que essa alteração tenha efeito. Alteração efetuada em [1402].

comment:34 follow-up: ↓ 35 Changed 10 years ago by niltonneto

Alguns ajustes de layout estão sendo feitos para o Internet Explorer. A janela de Pesquisar mensagens (avançada), por exemplo, está desconfigurada. Na pesquisa rápida, as figurinhas ao lado estão escondidas. O Alexandre Correia está verificando.

comment:35 in reply to: ↑ 34 ; follow-up: ↓ 36 Changed 10 years ago by alexandrecorreia

Replying to niltonneto:

Alguns ajustes de layout estão sendo feitos para o Internet Explorer. A janela de Pesquisar mensagens (avançada), por exemplo, está desconfigurada. Na pesquisa rápida, as figurinhas ao lado estão escondidas. O Alexandre Correia está verificando.

Revisão [1415]

comment:36 in reply to: ↑ 35 Changed 10 years ago by niltonneto

Replying to alexandrecorreia:

Replying to niltonneto:

Alguns ajustes de layout estão sendo feitos para o Internet Explorer. A janela de Pesquisar mensagens (avançada), por exemplo, está desconfigurada. Na pesquisa rápida, as figurinhas ao lado estão escondidas. O Alexandre Correia está verificando.

Revisão [1415]

Testes OK com IE6, IE7 e FF3.5.

comment:37 Changed 10 years ago by niltonneto

Atenção desenvolvedores: Caso nenhum bug crítico seja detectado até amanhã (18/09), e considerando-se fechados todos os demais tickets do marco Expresso 2.0, fecharemos o mesmo e publicaremos a versão do pacote "expresso 2.0.0" até o final da tarde de amanhã mesmo.

comment:38 Changed 10 years ago by eduardoalex

  • Status changed from assigned to closed
  • Resolution set to fixed

comment:39 Changed 10 years ago by niltonneto

Publicação prevista para às 17h de hoje.

Note: See TracTickets for help on using tickets.